<div class="login-register" style="background-image:url(assets/images/background/login-register.jpg);">
  <div class="login-register-box">
    <mat-card>
      <mat-card-content>
        <form [formGroup]="form" (ngSubmit)="onSubmit()">
          <div class="text-center">
            <img alt="homepage" src="assets/images/logo-icon.png">
            <h4 class="m-t-0 title">Inscrivez-vous sur Visaal</h4>
          </div>

          <div *ngIf="errorMsg" class="text-danger support-text">{{errorMsg}}</div>

          <div fxLayout="row wrap">
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-form-field style="width: 100%">
                <input matInput placeholder="Adresse Email" type="email" [formControl]="form.controls['email']">
              </mat-form-field>
              <small *ngIf="form.controls['email'].hasError('required') && form.controls['email'].touched" class="text-danger support-text">Vous devez inclure une adresse e-mail.</small>
              <small *ngIf="form.controls['email'].errors?.email && form.controls['email'].touched" class="text-danger support-text">Vous devez inclure une adresse e-mail valide.</small>
            </div>
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-form-field style="width: 100%">
                <input matInput type="password" placeholder="Mot de Passe" [formControl]="form.controls['password']">
              </mat-form-field>
              <small *ngIf="form.controls['password'].hasError('required') && form.controls['password'].touched" class="text-danger support-text">
                Vous devez inclure le mot de passe.</small>
            </div>
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-form-field style="width: 100%">
                <input matInput placeholder="Confirmez le mot de passe" [formControl]="form.controls['confirmPassword']" type="password">
              </mat-form-field>
              <small *ngIf="form.controls['confirmPassword'].hasError('required') && form.controls['confirmPassword'].touched" class="text-danger support-text">
                Vous devez inclure le mot de passe.</small>
              <small *ngIf="form.controls['confirmPassword'].errors?.equalTo" class="text-danger support-text">Passwords do not math.</small>
            </div>
            <!-- col full-->
            <div fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <mat-checkbox class="font-14">I agree to the all
                <a href="javascript:void(0)" class="link text-info">terms</a>.</mat-checkbox>
            </div>
            <button mat-raised-button color="primary" class="btn-block btn-lg m-t-20 m-b-20" type="submit" [disabled]="!form.valid">Créez votre compte</button>

            <div class="text-center" fxFlex.gt-sm="100" fxFlex.gt-xs="100" fxFlex="100">
              <span>Vous avez déjà un compte?
                <a [routerLink]="['/authentication/login']" class="link text-info"> Connexion</a>
              </span>
            </div>
          </div>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>
